Subject: Re: [PATCH 14/15] Add scripts to generate projects for other buildsystems (MSVC vcproj, QMake)

From: Marius Storm-Olsen <[email-masked]>
Date: Fri, 18 Sep 2009 08:59:46 +0200

Johannes Sixt said the following on 17.09.2009 22:28:
> On Mittwoch, 16. September 2009, Marius Storm-Olsen wrote:
>> --- a/.gitignore
>> +++ b/.gitignore
>> @@ -179,3 +179,14 @@ configure
>>  tags
>>  TAGS
>>  cscope*
>> +*.obj
>> +*.lib
>> +*.sln
>> +*.suo
>> +*.ncb
>> +*.vcproj
>> +*.user
>> +*.idb
>> +*.pdb
>> +Debug/
>> +Release/
> 
> If I understand correctly, then 'make MSVC=1' still produce *.o files, not 
> *.obj. But if the VC++ project is used, I expect that the *.obj, *.idb, and 
> *.pdb end up in Debug/ or Release/ directories. Then why do you need entries 
> for *.obj, *.idb, and *.pdb?

When using only the vcproj generator, you are correct. However, if you 
use the qmake generator, and create vcprojs from those, the *.idb and 
*.pdb files are located in the project directory itself, and not under 
Debug/. I'm not too worried about this case though, so for me, the 
three entries *.obj, *.idb and *.pdb can go.

Junio, you want me to push a new patch?

--
.marius